import { Radio, RadioGroup, ScrollView, View } from "@tarojs/components";
import './index.less'
import { useState } from "react";
type Props = {
    data: any[]
}
function VipBox(props: Props) {
    let { data } = props
    let [eq, setEq] = useState(0)
    let [ok, setOk] = useState(false)
    return <>
        <ScrollView
            className='vip_box'
            scrollX={true}
            scrollWithAnimation
        >
            {
                data?.map((item, index) => {
                    return <View className={`vip_box_k ${eq === index ? "ac" : ""}`} onClick={() => { setEq(index) }}>
                         <View className="vip_box_title">月卡</View>
                        <View className="vip_box_num">100元</View>
                        <View className="vip_box_price">200元</View>
                        <View className="vip_box_give">0.33元/天</View>
                    </View>
                })
            }
        </ScrollView>
        <View className="vip_box_btn" onClick={() => { setOk(true) }}>确认协议并支付8元</View>
        <View className="vip_box_gz">
            <RadioGroup onChange={(e: any) => {
                setOk(true)
            }}>
                <Radio checked={ok} value='选中' >已阅读并同意《会员服务协议》</Radio>
            </RadioGroup>

        </View>
    </>
}
export default VipBox